## edu.stanford.nlp.ling
Class CoreAnnotations.StackedNamedEntityTagAnnotation

    java.lang.Object
      edu.stanford.nlp.ling.CoreAnnotations.StackedNamedEntityTagAnnotation

All Implemented Interfaces:
  CoreAnnotation<String>, TypesafeMap.Key<CoreMap,String>

Enclosing class:
  CoreAnnotations

    public static class CoreAnnotations.StackedNamedEntityTagAnnotation

extends Object
implements CoreAnnotation<String>

The CoreMap key for getting the token-level named entity tag (e.g., DATE, PERSON, etc.) from a previous NER tagger. NERFeatureFactory is sensitive to this tag and will turn the annotations from the previous NER tagger into new features. This is currently used to implement one level of stacking -- we may later change it to take a list as needed. This key is typically set on token annotations.

Constructor Summary
`CoreAnnotations.StackedNamedEntityTagAnnotation()`

Method Summary
`Class<String>` `getType()` Returns the type associated with this annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreAnnotations.StackedNamedEntityTagAnnotation

    public CoreAnnotations.StackedNamedEntityTagAnnotation()

Method Detail

### getType

    public Class<String> getType()

  Description copied from interface: `CoreAnnotation`
  Returns the type associated with this annotation. This method must return the same class type as its value type parameter. It feels like one should be able to get away without this method, but because Java erases the generic type signature, that info disappears at runtime.

  Specified by:
    `getType` in interface `CoreAnnotation<String>`

Stanford NLP Group